Bug 1029169 - rhc domain configure should print out the available sizes that can be set to.
rhc domain configure should print out the available sizes that can be set to.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Jordan Liggitt
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 15:07 EST by Peter Ruan
Modified: 2015-05-14 22:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:29:36 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Ruan 2013-11-11 15:07:36 EST
Description of problem:
rhc domain configure should print out the available sizes that can be set to.

Version-Release number of selected component (if applicable):
devenv_4017

How reproducible:
always.

Steps to Reproduce:
1. rhc domain configure --allowed-gear-sizes --help
2.
3.

Actual results:
Usage: rhc domain-configure <namespace>

Change one or more configuration settings on the domain


Options
  --[no-]allowed-gear-sizes [SIZES] A comma-delimited list of the gear sizes that will be allowed in this domain.
  -n, --namespace NAME              Name of a domain

Global Options
  -l, --rhlogin LOGIN       OpenShift login
  -p, --password PASSWORD   OpenShift password
  --token TOKEN             An authorization token for accessing your account.
  --server NAME             An OpenShift server hostname (default: openshift.redhat.com)
  --timeout SECONDS         The timeout for operations

  See 'rhc help options' for a full list of global options.


Expected results:
should like the available sizes for user who have no ideas what are the available options.

Additional info:
Comment 1 Jordan Liggitt 2013-11-11 15:47:31 EST
--help won't contact the server

We can add help telling the user how to find their allowed gear sizes (Run "rhc account")
Comment 2 Jordan Liggitt 2013-11-11 16:09:46 EST
Will merge in https://github.com/openshift/rhc/pull/506
Comment 3 openshift-github-bot 2013-11-11 19:12:41 EST
Commit pushed to master at https://github.com/openshift/rhc

https://github.com/openshift/rhc/commit/0af9f0c2c36e50de3a836e3cac6673e210bd0f71
Fix bug 1029169 - improve rhc domain configure gear size help
Comment 4 weiwei jiang 2013-11-12 01:59:24 EST
Tried on devenv_4022, and result like following:

[root@ip-10-164-3-171 ~]# rhc domain-configure --allowed-gear-sizes --help
Usage: rhc domain-configure <namespace>

Change one or more configuration settings on the domain


Options
  --[no-]allowed-gear-sizes A comma-delimited list of gear sizes allowed in this domain. To see available
  [SIZES]                   sizes, run 'rhc account'.
  -n, --namespace NAME      Name of a domain

Global Options
  -l, --rhlogin LOGIN       OpenShift login
  -p, --password PASSWORD   OpenShift password
  --token TOKEN             An authorization token for accessing your account.
  --server NAME             An OpenShift server hostname (default: openshift.redhat.com)
  --timeout SECONDS         The timeout for operations

  See 'rhc help options' for a full list of global options.


so, verified this issue.

Note You need to log in before you can comment on or make changes to this bug.